<template>
  <v-sheet rounded="lg">
    <v-list rounded="lg">
      <v-list-item
        title="Предпросмотр карточки"
        :subtitle="`Рекомендации по созданию`"
      >
      </v-list-item>
      <v-divider class="my-2"></v-divider>
      <v-sheet class="ma-4">
        <market-card
          :title="product.title"
          :img="product.image"
          :desc="product.description"
          :price="product.price"
        />
      </v-sheet>
    </v-list>
    <v-list rounded="lg">
      <!--      <v-list-subheader class="font-weight-bold"-->
      <!--        >Общая стоимостьруб.</v-list-subheader-->
      <!--      >-->
      <v-divider class="my-2"></v-divider>
      <v-list-item link color="green">
        <v-btn block color="green" @click="addProductHandler">Создать</v-btn>
      </v-list-item>
    </v-list>
  </v-sheet>
</template>

<script setup>
import MarketCard from '@/components/market/MarketCard.vue'
import { get, dispatch } from 'vuex-pathify'

const product = get('market/createProduct')
function addProductHandler() {
  dispatch('market/addProduct')
}
</script>
